Package org.apache.iotdb.jdbc

## Class IoTDBConnection

- java.lang.Object
- - org.apache.iotdb.jdbc.IoTDBConnection

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.sql.Connection`, `java.sql.Wrapper`

    public class IoTDBConnection
    extends java.lang.Object
    implements java.sql.Connection

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
`IoTDBConnection()`
`IoTDBConnection​(java.lang.String url, java.util.Properties info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `abort​(java.util.concurrent.Executor arg0)`
`void` `clearWarnings()`
`void` `close()`
`void` `commit()`
`java.sql.Array` `createArrayOf​(java.lang.String arg0, java.lang.Object[] arg1)`
`java.sql.Blob` `createBlob()`
`java.sql.Clob` `createClob()`
`java.sql.NClob` `createNClob()`
`java.sql.SQLXML` `createSQLXML()`
`java.sql.Statement` `createStatement()`
`java.sql.Statement` `createStatement​(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` `createStatement​(int arg0, int arg1, int arg2)`
`java.sql.Struct` `createStruct​(java.lang.String arg0, java.lang.Object[] arg1)`
`boolean` `getAutoCommit()`
`java.lang.String` `getCatalog()`
`org.apache.iotdb.service.rpc.thrift.IClientRPCService.Iface` `getClient()`
`java.util.Properties` `getClientInfo()`
`java.lang.String` `getClientInfo​(java.lang.String arg0)`
`int` `getHoldability()`
`java.sql.DatabaseMetaData` `getMetaData()`
`int` `getNetworkTimeout()`
`int` `getQueryTimeout()`
`java.lang.String` `getSchema()`
`org.apache.iotdb.service.rpc.thrift.ServerProperties` `getServerProperties()`
`long` `getSessionId()`
`java.lang.String` `getTimeZone()`
`int` `getTransactionIsolation()`
`java.util.Map<java.lang.String,​java.lang.Class<?>>` `getTypeMap()`
`java.lang.String` `getUrl()`
`java.lang.String` `getUserName()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `isClosed()`
`boolean` `isReadOnly()`
`boolean` `isValid​(int arg0)`
`boolean` `isWrapperFor​(java.lang.Class<?> arg0)`
`java.lang.String` `nativeSQL​(java.lang.String arg0)`
`java.sql.CallableStatement` `prepareCall​(java.lang.String arg0)`
`java.sql.CallableStatement` `prepareCall​(java.lang.String arg0, int arg1, int arg2)`
`java.sql.CallableStatement` `prepareCall​(java.lang.String arg0, int arg1, int arg2, int arg3)`
`java.sql.PreparedStatement` `prepareStatement​(java.lang.String sql)`
`java.sql.PreparedStatement` `prepareStatement​(java.lang.String sql, int autoGeneratedKeys)`
`java.sql.PreparedStatement` `prepareStatement​(java.lang.String sql, int[] columnIndexes)`
`java.sql.PreparedStatement` `prepareStatement​(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` `prepareStatement​(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement​(java.lang.String sql, java.lang.String[] columnNames)`
`void` `releaseSavepoint​(java.sql.Savepoint arg0)`
`void` `rollback()`
`void` `rollback​(java.sql.Savepoint arg0)`
`void` `setAutoCommit​(boolean arg0)`
`void` `setCatalog​(java.lang.String arg0)`
`void` `setClient​(org.apache.iotdb.service.rpc.thrift.IClientRPCService.Iface client)`
`void` `setClientInfo​(java.lang.String name, java.lang.String value)`
`void` `setClientInfo​(java.util.Properties arg0)`
`void` `setHoldability​(int arg0)`
`void` `setNetworkTimeout​(java.util.concurrent.Executor arg0, int arg1)`
`void` `setQueryTimeout​(int seconds)`
`void` `setReadOnly​(boolean readonly)`
`java.sql.Savepoint` `setSavepoint()`
`java.sql.Savepoint` `setSavepoint​(java.lang.String arg0)`
`void` `setSchema​(java.lang.String arg0)`
`void` `setTimeZone​(java.lang.String timeZone)`
`void` `setTransactionIsolation​(int arg0)`
`void` `setTypeMap​(java.util.Map<java.lang.String,​java.lang.Class<?>> arg0)`
`<T> T` `unwrap​(java.lang.Class<T> arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`beginRequest, endRequest, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid`

### Constructor Detail

#### IoTDBConnection

    public IoTDBConnection()

#### IoTDBConnection

    public IoTDBConnection​(java.lang.String url,
                           java.util.Properties info)
                    throws java.sql.SQLException,
                           org.apache.thrift.transport.TTransportException

Throws:
  `java.sql.SQLException`
  `org.apache.thrift.transport.TTransportException`

### Method Detail

#### getUserName

    public java.lang.String getUserName()

#### getUrl

    public java.lang.String getUrl()

#### isWrapperFor

    public boolean isWrapperFor​(java.lang.Class<?> arg0)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap​(java.lang.Class<T> arg0)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### abort

    public void abort​(java.util.concurrent.Executor arg0)
               throws java.sql.SQLException

Specified by:
  `abort` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()

Specified by:
  `clearWarnings` in interface `java.sql.Connection`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### commit

    public void commit()
                throws java.sql.SQLException

Specified by:
  `commit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createArrayOf

    public java.sql.Array createArrayOf​(java.lang.String arg0,
                                        java.lang.Object[] arg1)
                                 throws java.sql.SQLException

Specified by:
  `createArrayOf` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createBlob

    public java.sql.Blob createBlob()
                             throws java.sql.SQLException

Specified by:
  `createBlob` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createClob

    public java.sql.Clob createClob()
                             throws java.sql.SQLException

Specified by:
  `createClob` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createNClob

    public java.sql.NClob createNClob()
                               throws java.sql.SQLException

Specified by:
  `createNClob` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createSQLXML

    public java.sql.SQLXML createSQLXML()
                                 throws java.sql.SQLException

Specified by:
  `createSQLXML` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement​(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement​(int arg0,
                                              int arg1,
                                              int arg2)
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStruct

    public java.sql.Struct createStruct​(java.lang.String arg0,
                                        java.lang.Object[] arg1)
                                 throws java.sql.SQLException

Specified by:
  `createStruct` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getAutoCommit

    public boolean getAutoCommit()

Specified by:
  `getAutoCommit` in interface `java.sql.Connection`

#### setAutoCommit

    public void setAutoCommit​(boolean arg0)

Specified by:
  `setAutoCommit` in interface `java.sql.Connection`

#### getCatalog

    public java.lang.String getCatalog()

Specified by:
  `getCatalog` in interface `java.sql.Connection`

#### setCatalog

    public void setCatalog​(java.lang.String arg0)
                    throws java.sql.SQLException

Specified by:
  `setCatalog` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getClientInfo

    public java.util.Properties getClientInfo()
                                       throws java.sql.SQLException

Specified by:
  `getClientInfo` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setClientInfo

    public void setClientInfo​(java.util.Properties arg0)
                       throws java.sql.SQLClientInfoException

Specified by:
  `setClientInfo` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLClientInfoException`

#### getClientInfo

    public java.lang.String getClientInfo​(java.lang.String arg0)
                                   throws java.sql.SQLException

Specified by:
  `getClientInfo` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getHoldability

    public int getHoldability()

Specified by:
  `getHoldability` in interface `java.sql.Connection`

#### setHoldability

    public void setHoldability​(int arg0)
                        throws java.sql.SQLException

Specified by:
  `setHoldability` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getNetworkTimeout

    public int getNetworkTimeout()

Specified by:
  `getNetworkTimeout` in interface `java.sql.Connection`

#### getSchema

    public java.lang.String getSchema()
                               throws java.sql.SQLException

Specified by:
  `getSchema` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setSchema

    public void setSchema​(java.lang.String arg0)
                   throws java.sql.SQLException

Specified by:
  `setSchema` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getTransactionIsolation

    public int getTransactionIsolation()

Specified by:
  `getTransactionIsolation` in interface `java.sql.Connection`

#### setTransactionIsolation

    public void setTransactionIsolation​(int arg0)
                                 throws java.sql.SQLException

Specified by:
  `setTransactionIsolation` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getTypeMap

    public java.util.Map<java.lang.String,​java.lang.Class<?>> getTypeMap()
                                                                        throws java.sql.SQLException

Specified by:
  `getTypeMap` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setTypeMap

    public void setTypeMap​(java.util.Map<java.lang.String,​java.lang.Class<?>> arg0)
                    throws java.sql.SQLException

Specified by:
  `setTypeMap` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()

Specified by:
  `getWarnings` in interface `java.sql.Connection`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `java.sql.Connection`

#### isReadOnly

    public boolean isReadOnly()

Specified by:
  `isReadOnly` in interface `java.sql.Connection`

#### setReadOnly

    public void setReadOnly​(boolean readonly)
                     throws java.sql.SQLException

Specified by:
  `setReadOnly` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### isValid

    public boolean isValid​(int arg0)

Specified by:
  `isValid` in interface `java.sql.Connection`

#### nativeSQL

    public java.lang.String nativeSQL​(java.lang.String arg0)
                               throws java.sql.SQLException

Specified by:
  `nativeSQL` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall​(java.lang.String arg0)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall​(java.lang.String arg0,
                                                  int arg1,
                                                  int arg2)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall​(java.lang.String arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement​(java.lang.String sql)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                       int autoGeneratedKeys)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                       int[] columnIndexes)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                       java.lang.String[] columnNames)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency,
                                                       int resultSetHoldability)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### releaseSavepoint

    public void releaseSavepoint​(java.sql.Savepoint arg0)
                          throws java.sql.SQLException

Specified by:
  `releaseSavepoint` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback()

Specified by:
  `rollback` in interface `java.sql.Connection`

#### rollback

    public void rollback​(java.sql.Savepoint arg0)

Specified by:
  `rollback` in interface `java.sql.Connection`

#### setClientInfo

    public void setClientInfo​(java.lang.String name,
                              java.lang.String value)
                       throws java.sql.SQLClientInfoException

Specified by:
  `setClientInfo` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLClientInfoException`

#### setNetworkTimeout

    public void setNetworkTimeout​(java.util.concurrent.Executor arg0,
                                  int arg1)
                           throws java.sql.SQLException

Specified by:
  `setNetworkTimeout` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getQueryTimeout

    public int getQueryTimeout()

#### setQueryTimeout

    public void setQueryTimeout​(int seconds)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

Specified by:
  `setSavepoint` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setSavepoint

    public java.sql.Savepoint setSavepoint​(java.lang.String arg0)
                                    throws java.sql.SQLException

Specified by:
  `setSavepoint` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getClient

    public org.apache.iotdb.service.rpc.thrift.IClientRPCService.Iface getClient()

#### getSessionId

    public long getSessionId()

#### setClient

    public void setClient​(org.apache.iotdb.service.rpc.thrift.IClientRPCService.Iface client)

#### getTimeZone

    public java.lang.String getTimeZone()

#### setTimeZone

    public void setTimeZone​(java.lang.String timeZone)
                     throws org.apache.thrift.TException,
                            IoTDBSQLException

Throws:
  `org.apache.thrift.TException`
  `IoTDBSQLException`

#### getServerProperties

    public org.apache.iotdb.service.rpc.thrift.ServerProperties getServerProperties()
                                                                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`